Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 827224 - dev-java/jnr-posix-3.0.10-r1: fails jnr.posix.FileTest test
Summary: dev-java/jnr-posix-3.0.10-r1: fails jnr.posix.FileTest test
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Java team
URL:
Whiteboard:
Keywords: PullRequest, TESTFAILURE
: 829821 (view as bug list)
Depends on:
Blocks:
 
Reported: 2021-11-25 04:20 UTC by Sam James
Modified: 2022-06-08 08:12 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (file_827224.txt,11.79 KB, text/plain)
2021-11-25 04:20 UTC, Sam James
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-11-25 04:20:55 UTC
Created attachment 756145 [details]
build.log

[junit] Testcase: fcntlDupfdTest took 0.014 sec
    [junit] 	Caused an ERROR
    [junit] Stream Closed
    [junit] java.io.IOException: Stream Closed
    [junit] 	at java.io.FileInputStream.readBytes(Native Method)
    [junit] 	at java.io.FileInputStream.read(FileInputStream.java:255)
    [junit] 	at jnr.posix.FileTest.fcntlDupfdTest(FileTest.java:154)
    [junit] 
    [junit] Testcase: fcntlTest took 0.002 sec
    [junit] Testcase: openTest took 0.001 sec
    [junit] Testcase: closeTest took 0.006 sec
    [junit] Testcase: fchmodTest took 0.001 sec
    [junit] Testcase: ftruncateTest took 0.001 sec
    [junit] Testcase: linkTest took 0.001 sec
    [junit] Testcase: utimeTest took 2.003 sec
    [junit] Testcase: fcntlDupfdWithArgTest took 0.002 sec
    [junit] 	Caused an ERROR
    [junit] Stream Closed
    [junit] java.io.IOException: Stream Closed
    [junit] 	at java.io.FileInputStream.readBytes(Native Method)
    [junit] 	at java.io.FileInputStream.read(FileInputStream.java:255)
    [junit] 	at jnr.posix.FileTest.fcntlDupfdWithArgTest(FileTest.java:174)
    [junit] 
    [junit] Testcase: mkdirAbsoluteTest took 0 sec
    [junit] Testcase: dupTest took 0.001 sec

BUILD FAILED
/var/tmp/portage/dev-java/jnr-posix-3.0.10-r1/work/jnr-posix-3.0.10/build.xml:100: Test jnr.posix.FileTest failed

Total time: 10 seconds
 * ERROR: dev-java/jnr-posix-3.0.10-r1::gentoo failed (test phase):
 *   eant failed

----
# emerge --info
Portage 3.0.28 (python 3.9.8-final-0, default/linux/x86/17.0/desktop/plasma, gcc-11.2.0, glibc-2.33-r7, 5.10.52-gentoo-dist i686)
=================================================================
System uname: Linux-5.10.52-gentoo-dist-i686-Intel-R-_Xeon-R-_CPU_E5-2620_v4_@_2.10GHz-with-glibc2.33
KiB Mem:    16393948 total,   9188616 free
KiB Swap:    4194268 total,   3910388 free
Timestamp of repository gentoo: Thu, 25 Nov 2021 03:36:36 +0000
sh bash 5.1_p8
ld GNU ld (Gentoo 2.37_p1 p0) 2.37
app-shells/bash:          5.1_p8::gentoo
dev-java/java-config:     2.3.1::gentoo
dev-lang/perl:            5.34.0-r3::gentoo
dev-lang/python:          2.7.18_p13::gentoo, 3.8.12_p1::gentoo, 3.9.8::gentoo
dev-lang/rust-bin:        1.56.1::gentoo
dev-util/cmake:           3.20.5::gentoo
sys-apps/baselayout:      2.7-r3::gentoo
sys-apps/openrc:          0.44.8::gentoo
sys-apps/sandbox:         2.25::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.71-r1::gentoo
sys-devel/automake:       1.16.4::gentoo
sys-devel/binutils:       2.37_p1::gentoo
sys-devel/gcc:            10.3.0-r2::gentoo, 11.2.0::gentoo
sys-devel/gcc-config:     2.4::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.3::gentoo
sys-kernel/linux-headers: 5.10-r1::gentoo (virtual/os-headers)
sys-libs/glibc:           2.33-r7::gentoo
Repositories:

gentoo
    location: /bound/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-metamanifest: yes
    sync-rsync-extra-opts: 
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-max-age: 24

Binary Repositories:

binhost
    priority: 9999
    sync-uri: https://gentoo.osuosl.org/experimental/amd64/binpkg/default/linux/17.1/x86-64

ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="*"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe -fdiagnostics-color=always -frecord-gcc-switches"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /var/spool/munin-async/.ssh"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=i686 -pipe -fdiagnostics-color=always -frecord-gcc-switches"
DISTDIR="/bound/distfiles"
EMERGE_DEFAULT_OPTS="--complete-graph --keep-going=y --deep --with-bdeps=y --getbinpkg=n --usepkg=n"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -march=i686 -pipe -fdiagnostics-color=always -frecord-gcc-switches"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs cgroup config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch parallel-install pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -march=i686 -pipe -fdiagnostics-color=always -frecord-gcc-switches"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.utf8"
LDFLAGS="-O2 -march=i686 -pipe -fdiagnostics-color=always -frecord-gcc-switches -Wl,--defsym=__gentoo_check_ldflags__=0 -Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j9 -l9"
PKGDIR="/var/cache/binpkgs"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi activities alsa bluetooth branding bzip2 cairo cdda cdr cli crypt cups dbus declarative dri dts dvd dvdr elogind emboss encode exif flac fortran gdbm gif gpm graphite gtk gui hardened iconv icu ipv6 jpeg kde kipi kwallet lcms libglvnd libnotify libtirpc mad mng mp3 mp4 mpeg ncurses nls nptl objc objc++ ogg opengl openmp pam pango pcre pdf plasma png policykit polkit ppds qml qt5 readline sdl seccomp semantic-desktop spell split-usr ssl startup-notification svg tiff truetype udev udisks unicode upower usb vorbis wayland widgets wxwidgets x264 x86 xattr xcb xml xv xvid zlib" ABI_X86="32" ADA_TARGET="gnat_2021" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 f16c fma3 mmx mmxext pclmul popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput" KERNEL="linux" LCD_DEVICES="framebuffer" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LUA_SINGLE_TARGET="lua5-1" LUA_TARGETS="lua5-1" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-3 php7-4" POSTGRES_TARGETS="postgres12" PYTHON_SINGLE_TARGET="python3_9" PYTHON_TARGETS="python3_9 python3_7 python3_8" RUBY_TARGETS="ruby27" USERLAND="GNU" VIDEO_CARDS="amdgpu fbdev intel nouveau radeon radeonsi vesa dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq proto steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, RUSTFLAGS
Comment 1 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-11-25 04:21:07 UTC
Same with -r0 so not a stabilisation blocker.
Comment 2 Volkmar W. Pogatzki 2022-01-02 09:11:14 UTC
*** Bug 829821 has been marked as a duplicate of this bug. ***
Comment 3 Larry the Git Cow gentoo-dev 2022-06-08 08:12:25 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2783d0d7e30cd6e107273828faa663d6365bdeb0

commit 2783d0d7e30cd6e107273828faa663d6365bdeb0
Author:     Volkmar W. Pogatzki <gentoo@pogatzki.net>
AuthorDate: 2022-01-02 15:22:12 +0000
Commit:     Florian Schmaus <flow@gentoo.org>
CommitDate: 2022-06-08 08:12:10 +0000

    dev-java/jnr-posix: add 3.1.15
    
    Bug: https://bugs.gentoo.org/827224
    Those 2 errors from #827224 no longer occur.
    
    Signed-off-by: Volkmar W. Pogatzki <gentoo@pogatzki.net>
    Signed-off-by: Florian Schmaus <flow@gentoo.org>

 dev-java/jnr-posix/Manifest                        |  1 +
 .../files/jnr-posix-3.1.15-FileTest.patch          | 48 ++++++++++++++++
 dev-java/jnr-posix/jnr-posix-3.1.15.ebuild         | 65 ++++++++++++++++++++++
 3 files changed, 114 insertions(+)